## org.red5.server.so
Interface ISharedObjectMessage

All Superinterfaces:
  IEvent, IRTMPEvent

All Known Implementing Classes:
  FlexSharedObjectMessage, SharedObjectMessage

    public interface ISharedObjectMessage

extends IRTMPEvent

Shared object message

Nested Class Summary

Nested classes/interfaces inherited from interface org.red5.server.api.event.IEvent
`IEvent.Type`

Method Summary
`void` `addEvent(ISharedObjectEvent.Type type, String key, Object value)` Addition event handler
`void` `addEvent(ISharedObjectEvent event)` Add event handler
`void` `clear()` Clear shared object
`Queue<ISharedObjectEvent>` `getEvents()` Returns a set of ISharedObjectEvent objects containing informations what to change.
`String` `getName()` Returns the name of the shared object this message belongs to.
`int` `getVersion()` Returns the version to modify.
`boolean` `isEmpty()` Is empty?
`boolean` `isPersistent()` Does the message affect a persistent shared object?

Methods inherited from interface org.red5.server.net.rtmp.event.IRTMPEvent
`getDataType, getHeader, getSourceType, getTimestamp, release, retain, setHeader, setSource, setSourceType, setTimestamp`

Methods inherited from interface org.red5.server.api.event.IEvent
`getObject, getSource, getType, hasSource`

Method Detail

### getName

    String getName()

  Returns the name of the shared object this message belongs to.

  Returns:
    name of the shared object

### getVersion

    int getVersion()

  Returns the version to modify.

  Returns:
    version to modify

### isPersistent

    boolean isPersistent()

  Does the message affect a persistent shared object?

  Returns:
    true if a persistent shared object should be updated otherwise false

### getEvents

    Queue<ISharedObjectEvent> getEvents()

  Returns a set of ISharedObjectEvent objects containing informations what to change.

  Returns:
    set of ISharedObjectEvents

### addEvent

    void addEvent(ISharedObjectEvent.Type type,
                  String key,
                  Object value)

  Addition event handler

  Parameters:
    `type` - Event type
    `key` - Handler key
    `value` - Event value (like arguments)

### addEvent

    void addEvent(ISharedObjectEvent event)

  Add event handler

  Parameters:
    `event` - SO event

### clear

    void clear()

  Clear shared object

### isEmpty

    boolean isEmpty()

  Is empty?

  Returns:
    `true` if shared object is empty, `false` otherwise

Copyright © 2006-2010 The Red5 Project